Skip to main content
GET
/
api
/
v1
/
sandboxes
Get Sandboxes by IDs
curl --request GET \
  --url https://app.all-hands.dev/api/v1/sandboxes \
  --header 'X-Access-Token: <api-key>'
[
  {
    "id": "<string>",
    "created_by_user_id": "<string>",
    "sandbox_spec_id": "<string>",
    "status": "STARTING",
    "session_api_key": "<string>",
    "exposed_urls": [
      {
        "name": "<string>",
        "url": "<string>",
        "port": 123
      }
    ],
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://allhandsai-add-v1-api-reference.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Access-Token
string
header
required

Query Parameters

id
string[]
required

Response

(SandboxInfo · object | null)[]

Successful Response

Information about a sandbox.

id
string
required
created_by_user_id
string | null
required
sandbox_spec_id
string
required
status
enum<string>
required
Available options:
STARTING,
RUNNING,
PAUSED,
ERROR,
MISSING
session_api_key
string | null
required

Key to access sandbox, to be added as an X-Session-API-Key header in each request. In cases where the sandbox statues is STARTING or PAUSED, or the current user does not have full access the session_api_key will be None.

exposed_urls
ExposedUrl · object[] | null

URLs exposed by the sandbox (App server, Vscode, etc...)Sandboxes with a status STARTING / PAUSED / ERROR may not return urls.

created_at
string<date-time>